Skip to content

Ideogram Image ​

Ideogram's image capabilities include text-to-image, mixed graphs, magnification and graphic description.

Route List ​

MethodologyPathPurpose
POST/ideogram/generatetext-to-image.
POST/ideogram/remixImage-based hybrid generation.
POST/ideogram/upscaleZoom in to the high-clean.
POST/ideogram/describePicture description.

text-to-image ​

bash
curl https://moonnexai.com/ideogram/generate \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A premium coffee cup package design, clean background.",
    "aspect_ratio": "1:1"
  }'

Picture Description ​

bash
curl https://moonnexai.com/ideogram/describe \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "image_url": "https://example.com/input.png"
  }'

Common field ​

fieldPurpose
promptGenerates or edits a description.
image_urlEnter the image URL.
aspect_ratioPicture aspect ratio, e.g. 1:1, 16:9, 9:16.

Relevant Pages ​